# == Class: dyfi::config
#
# This class manages '/usr/local/etc/dyfi-update.conf' and installs dyfi-update.
#
# === Requires
#
# The dyfi::install class.
#
# === Subscribes
#
# The File["/usr/local/etc/dyfi-update.conf"] resource.
#
# === Author
#
# Sampo Tyllilä <sampo.tyllila@gmail.com>
#
class dyfi::config {
        file { "/usr/local/etc/dyfi-update.conf":
                ensure => file,
                content => template("dyfi/dyfi-update.conf.erb"),
		owner => "root",
		group => "root",
		mode => 644,
		require => Class["dyfi::install"],
        }

        exec { "install dyfi":
		cwd => "/etc/dyfi-update",
		command => "/usr/bin/make install",
		subscribe => File["/usr/local/etc/dyfi-update.conf"],
        }
}
