# == Class: dyfi::install
#
# This module creates '/etc/dyfi' directory, transfers 
# there files that are needed to instal dyfi-update and installs make.
#
# === Author
#
# Sampo Tyllilä <sampo.tyllila@gmail.com>
#
class dyfi::install {

	package { 'make':
		ensure => latest,
	}

	file { '/etc/dyfi-update':
		ensure => directory,
	}

	file { '/etc/dyfi-update/Makefile':
		ensure  => file,
		source  => "puppet:///modules/dyfi/Makefile",
		require => File["/etc/dyfi-update"],
	}
	
	file { '/etc/dyfi-update/dyfi-update':
		ensure  => present,
		source  => "puppet:///modules/dyfi/dyfi-update",
               require => File["/etc/dyfi-update"],
	}

	file { '/etc/dyfi-update/dyfi-update.pl':
		ensure  => present,
		source  => "puppet:///modules/dyfi/dyfi-update.pl",
                require => File["/etc/dyfi-update"],
	}

	file { '/etc/dyfi-update/README':
                ensure  => present,
                source  => "puppet:///modules/dyfi/README",
                require => File["/etc/dyfi-update"],
	}

        file { '/etc/dyfi-update/COPYING':
                ensure  => present,
                source  => "puppet:///modules/dyfi/COPYING",
                require => File["/etc/dyfi-update"],
	}

}
