# == Class: mumble::config
#
# This class manages '/etc/mumble-server.ini'.
#
# === Parameters
#
# No parameters in this class.
#
# === Requires
#
# The mumble::install class.
#
# === Notifies
#
# The mumble::service class.
#
# === Author
#
# Sampo Tyllilä <sampo.tyllila@gmail.com>
#
class mumble::config {
	file { '/etc/mumble-server.ini':
		ensure  => present,
		content => template('mumble/mumble-server.ini.erb'),
		owner   => 'root',
		group   => 'mumble-server',
		mode    => '0640',
		require => Class['mumble::install'],
		notify  => Class['mumble::service'],
	}
}
