# == Class: mumble
#
# This module manages mumble-server.
#
# === Parameters
#
# [*package*]     - The name of the package to install.
# [*service*]     - The name of the managed service.
# [*config*]      - The config to use with mumble-server.
# [*password*]    - The password to the mumble-server.
# [*port*]        - The port to listen.
# [*bandwidth*]   - The bandwidth of the mumble-server
# [*users*]       - The number of users allowed to the mumble-server.
# [*welcometext*] - The welcometext appearing when connecting the mumble-server.
#
# === Examples
#
# See README for details.
#
# === Author
#
# Sampo Tyllilä <sampo.tyllila@gmail.com>
#
class mumble (
	$package     = $mumble::params::package,
	$service     = $mumble::params::service,
	$config      = $mumble::params::config,
	$password    = $mumble::params::password,
	$port        = $mumble::params::port,
	$bandwidth   = $mumble::params::bandwidth,
	$users       = $mumble::params::users,
	$welcometext = $mumble::params::welcometext
)	inherits mumble::params {

	include mumble::params, mumble::install, mumble::service, mumble::config

}
