# == Class: mumble::params
#
# This class manages the parameters of this mumble module.
#
# === Parameters
#
# [*package*]     - The name of the package to install.
# [*service*]     - The name of the managed service.
# [*config*]      - The config to use with mumble-server.
# [*password*]    - The password to the mumble-server.
# [*port*]        - The port to listen.
# [*bandwidth*]   - The bandwidth of the mumble-server
# [*users*]       - The number of users allowed to the mumble-server.
# [*welcometext*] - The welcometext appearing when connecting the mumble-server.
#
# === Author
#
# Sampo Tyllilä <sampo.tyllila@gmail.com>
#
class mumble::params {
	$package     = 'mumble-server'
	$service     = 'mumble-server'
	$config      = '/etc/mumble-server.ini'
	$password    = ''
	$bandwidth   = '72000'
	$port        = '64738'
	$users       = '20'
	$welcometext = "Welcome to the Mumble-Server!"
}
