# == Class: ssh::config
#
# This class manages '/etc/ssh/sshd_config'.
#
# === Parameters
#
# No parameters in this class.
#
# === Requires
#
# The ssh::install class.
#
# === Notifies
#
# The ssh::service class.
#
# === Author
#
# Sampo Tyllilä <sampo.tyllila@gmail.com>
#
class ssh::config {
	file { '/etc/ssh/sshd_config':
		ensure  => present,
		owner   => 'root',
		group   => 'root',
		mode    => '0600',
		content => template('ssh/sshd_config.erb'),
		require => Class['ssh::install'],
		notify  => Class['ssh::service'],
	}
}
